var path = require('path');
var Elixir = require('laravel-elixir');

var runTests = '/laravel-elixir/tasks/shared/Tests.js';
if (__dirname.search('node_modules') > -1) {
    runTests = require(path.join(__dirname, '..', runTests));
} else {
    runTests = require(path.join(__dirname, './node_modules', runTests));
}


/*
 |----------------------------------------------------------------
 | PHP Code Sniffer
 |----------------------------------------------------------------
 |
 | This task triggers the entire PHP Code Sniffer suite and
 | shows notifications indicating the success or failure
 | that test suite.
 |
 */

Elixir.extend('phpCS', function initPHPCS (src, command) {
    'use strict';

    //noinspection JSUnresolvedFunction
    runTests(
        'phpCS',
        src || ('**/*.php', '!vendor/**/*.php'),
        command || path.normalize('./vendor/bin/phpcs')
    );
});

